Seleccionar objeto por medio de un punto

Ver el tema anterior Ver el tema siguiente Ir abajo

Seleccionar objeto por medio de un punto

Mensaje por carlosmgilp el Miér Mar 30, 2016 7:00 pm

Hola muchachos como están.

Saben que estoy tratando de seleccionar un objeto por medio de un punto previo.
Con ssget y funciona bien.
Pero quiero saber como lo puedo hacer con entsel.

Así funciona.

Código:
(setq cgp-punto '(108.1073 -1.5797 3.1000))
(setq cgp-seleccion (ssget cgp-punto '((0 . "POLYLINE"))))

Pero estoy tratando de hacerlo con entsel y no me funciona.

Código:
(setq cgp-seleccion (entsel cgp-punto '((0 . "POLYLINE"))))

Bueno cualquier información, bienvenida sea.

No pude adjuntar archivo dwg porque no me deja adjuntar nada, ni en zip.
pero es una polilinea 3d que pasa por por la variable cgp-punto

Un saludo.

carlosmgilp

Mensajes : 71
Fecha de inscripción : 17/03/2016
Edad : 35
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Seleccionar objeto por medio de un punto

Mensaje por eliasp el Miér Mar 30, 2016 9:48 pm

Que tal... hasta donde yo se y de acuerdo al manual del maestro Páramo:

La función ENTSEL espera a que el usuario designe una única entidad mediante un punto y
devuelve una lista cuyo primer elemento es el nombre de la entidad (código –1) designada, y
su segundo elemento las coordenadas X, Y y Z del punto de designación. De esta forma se
tienen asociados ambos valores para procesarlos posteriormente.
Esta lista devuelta por ENSEL se puede indicar en las llamadas a los comandos de
AutoCAD que requieren señalar una entidad por un punto. Así por ejemplo, si en línea de
comandos hacemos:
Creo que debes buscar otro método

eliasp

Mensajes : 43
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Seleccionar objeto por medio de un punto

Mensaje por carlosmgilp el Miér Mar 30, 2016 10:16 pm

Hola hermano como estas.
Gracias por la información si había leído eso. Pues creo que el apellido es Préstamo.
Pero como en los libros no dice todo tan fácil, pues tenia que intentarlo por si alguien sabia como. Jejeje.
Muchas gracias y vamos a ver si alguien sabe algo mas del tema que no sepamos al respecto.

Un saludo.

carlosmgilp

Mensajes : 71
Fecha de inscripción : 17/03/2016
Edad : 35
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Seleccionar objeto por medio de un punto

Mensaje por nolo el Miér Mar 30, 2016 11:21 pm

Carlos, te confundes, no puedes utilizar entsel sin preguntar, debes hacerlo con nentselp
Además, no se admiten filtros directamente en ninguno de los dos casos, tendrás que hacer algo parecido a esto:

Código:
(if (setq cgp-seleccion (nentselp cgp-punto))
 (if (member '(0 . "POLYLINE") (entget(car cgp-seleccion)) )
 (princ "\nLa selección es una polilinea")
 (print "\nLa selección NO es una polilinea")
 )
 (princ "\nNo hay ninguna entidad que pase por el punto")
)

Un saludo

nolo

Mensajes : 105
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Seleccionar objeto por medio de un punto

Mensaje por Admin el Miér Mar 30, 2016 11:53 pm

Hola Todos , parece ser el primer post con una pregunta.
Gracias por iniciar las discusiones .

Acerca de cómo seleccionar lo que está dentro de un Código , por ahora hay que pintar copiar y pegar .
Se que hay un modo

http://asistencia.foroactivo.com/t93954-como-seleccionar-todo-el-codigo-de-un-foro

Pero las indicaciones van mas allá de mis conocimientos , si alguien se anima a indicarme cómo hacerlo , trataré de implementarla.

Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Seleccionar objeto por medio de un punto

Mensaje por carlosmgilp el Jue Mar 31, 2016 5:25 pm

Hola nolo como estas.
Te cuento que hice la prueba pero yo creo que el lisp esta contra mi.
Jejejeje.
Resulta que funciona bien, pero cuando lo hago con la polilinea 3d me da la sublista de vertex y no el (0 . "POLYLINE")
Cuando trato de agregar un redraw entidad 3 para resaltar la entidad no hace nada, pero si lo hago con una linea, todo funciona bien.
Pero no se porque pasa eso.

carlosmgilp

Mensajes : 71
Fecha de inscripción : 17/03/2016
Edad : 35
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Seleccionar objeto por medio de un punto

Mensaje por nolo el Jue Mar 31, 2016 11:48 pm

Pues si, esta contra ti y contra mi. Con una 3dpoly se comporta como si fuera un nentsel a secas, devolviendo una sub-entidad.
Porque no pruebas a hacerlo con el ssget que ademas te permite el filtrado en una sola línea y resaltarlo con (sssetfirst ss ss).

Un saludo

nolo

Mensajes : 105
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Seleccionar objeto por medio de un punto

Mensaje por carlosmgilp el Vie Abr 01, 2016 6:48 am

Hola nolo, como estas.

Gracias por la ayuda, si voy a seguir utilizando el (ssget) como lo tenia.
Pues me surgió la duda y quise corroborar si se podía o había mas alternativas.

Mil gracias y un saludo, de todas maneras ya quedo otra alternativa si no es una 3dpoly, Jejeje.

carlosmgilp

Mensajes : 71
Fecha de inscripción : 17/03/2016
Edad : 35
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

PORQUÉ NO SALE (0 . "POLYLINE")

Mensaje por Admin el Vie Abr 01, 2016 2:49 pm

carlosmgilp escribió:Hola nolo como estas.
Te cuento que hice la prueba pero yo creo que el lisp esta contra mi.
Jejejeje.
Resulta que funciona bien, pero cuando lo hago con la polilinea 3d me da la sublista de vertex y no el (0 . "POLYLINE")
Cuando trato de agregar un redraw entidad 3 para resaltar la entidad no hace nada, pero si lo hago con una linea, todo funciona bien.
Pero no se porque pasa eso.


Se debe a que la cantidad de datos , supera el espacio,


(si pones (assoc 0 (enget (entsel)))

saldrá

(0 . "POLYLINE")

Admin
Admin

Mensajes : 142
Fecha de inscripción : 16/03/2016
Edad : 68
Localización : CORDOBA ARGENTINA

Ver perfil de usuario http://acadhispano.foroargentina.net

Volver arriba Ir abajo

Re: Seleccionar objeto por medio de un punto

Mensaje por carlosmgilp el Vie Abr 01, 2016 6:06 pm

Hola hermano como estas.

El assoc lo conozco, lo que pasa es que como es una selección por punto con nentselp da es una sub-lista en las 3dpoly y solo asocia (0 . "VERTEX") por eso fue que se descarto y se va a hacer con ssget.

carlosmgilp

Mensajes : 71
Fecha de inscripción : 17/03/2016
Edad : 35
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Seleccionar objeto por medio de un punto

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.